org.richfaces.resource

## Class DefaultResourceCodec

- java.lang.Object
- - org.richfaces.resource.DefaultResourceCodec

- All Implemented Interfaces:
    org.richfaces.resource.ResourceCodec

      public final class DefaultResourceCodec
      extends Object
      implements org.richfaces.resource.ResourceCodec

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultResourceCodec()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.richfaces.resource.ResourceRequestData` | `decodeResource(javax.faces.context.FacesContext context, String requestPath)`
    `String` | `encodeJSFMapping(javax.faces.context.FacesContext context, String resourcePath)`
    `String` | `encodeResourceRequestPath(javax.faces.context.FacesContext context, String libraryName, String resourceName, Object resourceData, String resourceVersion)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultResourceCodec

          public DefaultResourceCodec()

  - ### Method Detail

    - #### encodeResourceRequestPath

          public String encodeResourceRequestPath(javax.faces.context.FacesContext context,
                                         String libraryName,
                                         String resourceName,
                                         Object resourceData,
                                         String resourceVersion)

      Specified by:
        `encodeResourceRequestPath` in interface `org.richfaces.resource.ResourceCodec`

    - #### encodeJSFMapping

          public String encodeJSFMapping(javax.faces.context.FacesContext context,
                                String resourcePath)

      Specified by:
        `encodeJSFMapping` in interface `org.richfaces.resource.ResourceCodec`

    - #### decodeResource

          public org.richfaces.resource.ResourceRequestData decodeResource(javax.faces.context.FacesContext context,
                                                                  String requestPath)

      Specified by:
        `decodeResource` in interface `org.richfaces.resource.ResourceCodec`

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.